{% extends 'base.html.twig' %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <span class="text-primary fs-5 align-self-center">Registrierungen von {{ userRegistrationType.getName() }}n <span class="text-secondary">({{ userRegistrations|length }})</span></span>
        <button class="mdc-button mdc-button--leading ms-auto align-self-center" data-coreui-toggle="collapse" data-coreui-target="#user_registration_filter" aria-expanded="false" aria-controls="user_registration_filter">
            <span class="mdc-button__ripple"></span>
            <i class="material-icons mdc-button__icon" aria-hidden="true">filter_alt</i>
            <span class="mdc-button__label d-none d-md-block">Filter</span>
        </button>
        <button class="mdc-button mdc-button--leading ms-auto align-self-center" data-coreui-toggle="collapse" data-coreui-target="#user_registration_search" aria-expanded="false" aria-controls="user_registration_search">
            <span class="mdc-button__ripple"></span>
            <i class="material-icons mdc-button__icon" aria-hidden="true">search</i>
            <span class="mdc-button__label d-none d-md-block">Suche</span>
        </button>
    </div>
    <div class="collapse bg-white" id="user_registration_search">
        <div class="p-4">
            {{ form_start(userRegistrationSearchForm) }}
            <div class="row mb-4">
                <div class="col-md-9">
                    {% include 'component/mdc_search_field_component.html.twig' with {
                        'id': userRegistrationSearchForm.text.vars.id ~ '_mdc_text_field',
                        'labelId': userRegistrationSearchForm.text.vars.id ~ '_label',
                        'label': userRegistrationSearchForm.text.vars.label,
                        'type': 'text',
                        'name': userRegistrationSearchForm.text.vars.full_name,
                        'value': userRegistrationSearchForm.text.vars.value,
                        'disabled': userRegistrationSearchForm.text.vars.disabled,
                        'required': userRegistrationSearchForm.text.vars.required,
                        'suffix': null,
                    } only %}
                </div>
                <div class="col-md-3 mt-2">
                    {{ form_widget(userRegistrationSearchForm.search, {'label': 'suchen', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto'}}) }}
                </div>
            </div>
            {{ form_row(userRegistrationSearchForm._token) }}
            {{ form_end(userRegistrationSearchForm, {'render_rest': false}) }}
        </div>
    </div>
    <div class="collapse bg-white" id="user_registration_filter">
        <div class="ps-4 pe-4 pt-1 pb-4">
            {{ form_start(userRegistrationFilterForm) }}
            <span class="ms-1">Klassifizierung</span>
            <div class="row mb-3">
                {% for personType in userRegistrationFilterForm.personTypes %}
                    <div class="col-lg-3">
                        {{ form_row(personType) }}
                    </div>
                {% endfor %}
            </div>
            <div class="pt-2">
                {{ form_widget(userRegistrationFilterForm.apply, {'label': 'übernehmen', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto'}}) }}
                {{ form_widget(userRegistrationFilterForm.reset, { 'attr': {'class': 'mdc-button mdc-button--leading ps-3'}}) }}
            </div>
            {{ form_row(userRegistrationFilterForm._token) }}
            {{ form_end(userRegistrationFilterForm, {'render_rest': false}) }}
        </div>
    </div>
{% endblock %}

{% block main %}
    <div class="container-fluid mt-4">
        <div class="mdc-card mb-4">
            {% set actionChoices = [] %}

            {% if is_granted('ROLE_USER') %}
                {% set actionChoices = actionChoices|merge([
                    {'label': 'Accounts freischalten', 'value': path('external_user_user_registration_mass_operation_activate', {'userRegistrationTypeName': app.request.attributes.get('_route_params').userRegistrationTypeName})},
                    {'label': 'Registrierungen ablehnen', 'value': path('external_user_user_registration_mass_operation_delete', {'userRegistrationTypeName': app.request.attributes.get('_route_params').userRegistrationTypeName})},
                ]) %}
            {% endif %}

            {% include 'external_user/component/user_registration/user_registration_list_component.html.twig' with {
                'idPrefix': 'user_registration_overview_',
                'listItems': userRegistrations,
                'userRegistrationType': userRegistrationType,
                'showActionButton': (is_granted('ROLE_USER') or is_granted('ROLE_VIEWER')),
                'noEntriesText': 'Es gibt keine offenen Registrierungen',
                'massOperation': is_granted('ROLE_USER'),
                'pagination': true,
                'sortable': true,
                'actionChoices': actionChoices
            } only %}
        </div>
    </div>
{% endblock %}

{% block tabBar %}
    {% include 'component/mdc_tab_bar_component.html.twig' with {
        'id': 'user_registration_type_mdc_tab_bar',
        'tabs': [
            {'name': 'Suchende', 'id': 'user_registration_property_seeker_tab', 'url': path('external_user_user_registration_overview', {'userRegistrationTypeName': 'suchende'}), 'active': false},
            {'name': 'Anbietende', 'id': 'user_registration_property_provider_tab', 'url': path('external_user_user_registration_overview', {'userRegistrationTypeName': 'anbietende'}), 'active': false},
        ]
    } only %}
{% endblock %}
